Subject: Re: bug#40998: Guix System's initrd doesn't honor rootflags

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 28 Feb 2022 15:36:54 -0500

Hi again,

Ludovic Courtès <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> skribis:
>
>> * gnu/build/linux-boot.scm (boot-system): Print command-line parameters to
>> standard output.
>> ---
>>  gnu/build/linux-boot.scm | 2 ++
>>  1 file changed, 2 insertions(+)
>>
>> diff --git a/gnu/build/linux-boot.scm b/gnu/build/linux-boot.scm
>> index 2f8b114806..30442ec8f8 100644
>> --- a/gnu/build/linux-boot.scm
>> +++ b/gnu/build/linux-boot.scm
>> @@ -542,6 +542,8 @@ (define (device-string->file-system-device device-string)
>>               (root-fs*    (find root-mount-point? mounts))
>>               (fsck.mode (find-long-option "fsck.mode" args)))
>>  
>> +        (format #t "initrd command-line parameters: ~a~%" args)
>
> I’d happily avoid being too talkative by default, but maybe we could
> honor a ‘gnu.verbosity’ parameter to get different levels of early-boot
> logging?  :-)

Eh, I've dropped it for now; I attribute my perceived need for it due to
the odd berlin boot output as seen from the serial console [0], which
was missing it (it appears to be truncated).

Thank you!

Maxim

[0]  https://elephly.net/paste/1645131411.html